Skip to content

Retrieve the merchant

GET
/v1/merchants/{merchant_id}/

Authorization

apiKey
headerAuthorizationBasic <token>

HTTP Basic authentication with an API key or the id of a user token as the username and an empty password.

Path Parameters

merchant_id*string

The ID of the merchant, or self for the merchant of the credentials.

Response Body

The merchant.

application/json
  1. response
id?string
Formatuuid
created?string
Formatdate-time
modified?|
Formatdate-time
status?string
Value in"pending""active""ending""ended""inactive"
company_name?string
external_merchant_id?|

Your identifier of the merchant.

email?string
addresses?array<>
phone_numbers?array<string>
website_url?string
chamber_of_commerce_number?string|null
vat_number?string|null
contact_persons?

The contact persons of the merchant.

locale?|

POSIX locale or RFC 5646 language tag.

timezone?string|null
bank_account?
payout_scheme?

How often the merchant is paid out.

priceplan_id?string|null
base_permissions?

The maximum permissions within the merchant. Set by the operator.

contracts?
tags?

Key-value tags of the merchant.

curl -X GET 'https://api.example.com/v1/merchants/self/' \  --user "$API_KEY:"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "created": "2019-08-24T14:15:22Z",  "modified": "2019-08-24T14:15:22Z",  "status": "pending",  "company_name": "string",  "external_merchant_id": "string",  "email": "string",  "addresses": [    {      "address": "string",      "country": "string"    }  ],  "phone_numbers": [    "string"  ],  "website_url": "string",  "chamber_of_commerce_number": "string",  "vat_number": "string",  "contact_persons": {},  "locale": "string",  "timezone": "string",  "bank_account": {    "iban": "string"  },  "payout_scheme": {    "frequency": "string",    "weekdays": [      "string"    ],    "monthdays": [      0    ]  },  "priceplan_id": "string",  "base_permissions": {    "property1": {      "GET": true,      "POST": true,      "PUT": true,      "DELETE": true,      "*": true    },    "property2": {      "GET": true,      "POST": true,      "PUT": true,      "DELETE": true,      "*": true    }  },  "contracts": {},  "tags": {}}